[Rubygems-developers] How to freeze gems that require native extension without sudo rights ?

Chad Woolley thewoolleyman at gmail.com
Tue Nov 4 20:02:04 EST 2008


On Tue, Nov 4, 2008 at 5:34 PM, Eric Hodel <drbrain at segment7.net> wrote:

> The same way you install any other gem:
>
> $ gem install hpricot
>

But, since he said the correct version is already installed on the system,
this would be a no-op.  He would still have to force a reinstall to ~/.gems
to ensure his specific version is there in case the system version is ever
upgraded in the future (and the old version removed).  Or, just rely on a
specific version activiation to make his app blow up on deploy if the
specified version ever goes away from the system gems (forcing blow up via
specific version passed to RubyGems gem() method, which is what
GemInstaller.autogem() calls).
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/rubygems-developers/attachments/20081104/7936837a/attachment.html>


More information about the Rubygems-developers mailing list